Loading...
Searching...
No Matches
libm2k::M2kHardwareTrigger Class Referenceabstract
HardwareTrigger

Controls the hardware trigger for ADALM2000. More...

`#include <libm2k/m2khardwaretrigger.hpp>`

## Public Member Functions

virtual int | getAnalogLevelRaw (unsigned int chnIdx)=0
| Get the raw analog trigger level for one channel.
virtual void | setAnalogLevelRaw (unsigned int chnIdx, int level)=0
| Set the raw analog trigger level for one channel.
virtual void | setAnalogLevel (unsigned int chnIdx, double v_level)=0
| Set the analog trigger level for one channel.
virtual double | getAnalogLevel (unsigned int chnIdx)=0
| Get the analog trigger level for one channel.
virtual double | getAnalogHysteresis (unsigned int chnIdx)=0
| Get the analog hysteresis value for one channel.
virtual void | setAnalogHysteresis (unsigned int chnIdx, double hysteresis)=0
| Set the analog hysteresis value for one channel.
virtual M2K_TRIGGER_CONDITION_ANALOG | getAnalogCondition (unsigned int chnIdx)=0
| Get the trigger condition for the analog trigger on a specific channel.
virtual void | setAnalogCondition (unsigned int chnIdx, M2K_TRIGGER_CONDITION_ANALOG cond)=0
| Set the trigger condition for the analog trigger on a specific channel.
virtual M2K_TRIGGER_CONDITION_DIGITAL | getDigitalCondition (unsigned int chnIdx)=0
| Get the trigger condition for the digital trigger on a specific channel.
virtual M2K_TRIGGER_CONDITION_DIGITAL | getDigitalCondition (libm2k::digital::DIO_CHANNEL chnIdx)=0
| Get the trigger condition for the digital trigger on a specific channel.
virtual void | setDigitalCondition (unsigned int chnIdx, M2K_TRIGGER_CONDITION_DIGITAL cond)=0
| Set the trigger condition for the digital trigger on a specific channel.
virtual void | setDigitalCondition (libm2k::digital::DIO_CHANNEL chnIdx, M2K_TRIGGER_CONDITION_DIGITAL cond)=0
| Set the trigger condition for the digital trigger on a specific channel.
virtual M2K_TRIGGER_MODE | getAnalogMode (unsigned int chnIdx)=0
| Get the mode for the analog trigger on a specific channel.
virtual void | setAnalogMode (unsigned int chnIdx, M2K_TRIGGER_MODE mode)=0
| Set the mode for the analog trigger on a specific channel.
virtual libm2k::digital::DIO_TRIGGER_MODE | getDigitalMode ()=0
| Get the mode for the digital trigger.
virtual void | setDigitalMode (libm2k::digital::DIO_TRIGGER_MODE mode)=0
| Set the mode for the digital trigger.
virtual M2K_TRIGGER_SOURCE_ANALOG | getAnalogSource ()=0
| Get the source of the analog trigger.
virtual void | setAnalogSource (M2K_TRIGGER_SOURCE_ANALOG src)=0
| Set the source of the analog trigger.
virtual int | getAnalogSourceChannel ()=0
| Get the channel source of the analog trigger.
virtual void | setAnalogSourceChannel (unsigned int chnIdx)=0
| Set the channel source of the analog trigger.
virtual int | getAnalogDelay () const =0
| Get the analog trigger delay.
virtual void | setAnalogDelay (int delay)=0
| Set the analog trigger delay.
virtual int | getDigitalDelay () const =0
| Get the digital trigger delay.
virtual void | setDigitalDelay (int delay)=0
| Set the digital trigger delay.
virtual void | setAnalogStreamingFlag (bool enable)=0
| Set the streaming flag for the analog part.
virtual bool | getAnalogStreamingFlag ()=0
| Get the streaming flag for the analog part.
virtual void | setDigitalStreamingFlag (bool enable)=0
| Set the streaming flag for the digital part.
virtual bool | getDigitalStreamingFlag ()=0
| Get the streaming flag for the digital part.
virtual M2K_TRIGGER_CONDITION_DIGITAL | getAnalogExternalCondition (unsigned int chnIdx)=0
| getAnalogExternalCondition
virtual void | setAnalogExternalCondition (unsigned int chnIdx, M2K_TRIGGER_CONDITION_DIGITAL cond)=0
| setAnalogExternalCondition
virtual M2K_TRIGGER_CONDITION_DIGITAL | getDigitalExternalCondition () const =0
| getDigitalExternalCondition
virtual void | setDigitalExternalCondition (M2K_TRIGGER_CONDITION_DIGITAL cond)=0
| setDigitalExternalCondition
virtual void | setAnalogExternalOutSelect (M2K_TRIGGER_OUT_SELECT output_select)
| Select what should be redirected on the TO (trigger out) pin. The options are (none, trigger in, digital in, analog in). .
virtual M2K_TRIGGER_OUT_SELECT | getAnalogExternalOutSelect ()
| Check which trigger events are forwarded on the TO (trigger out) pin.
virtual void | setDigitalSource (M2K_TRIGGER_SOURCE_DIGITAL external_src)
| Select which interface triggers the DigitalIn.
virtual M2K_TRIGGER_SOURCE_DIGITAL | getDigitalSource () const
| Check which is the source of the DigitalIn interface trigger event.
virtual void | setAnalogOutTriggerSource (M2K_TRIGGER_SOURCE_OUT src)=0
| Select which interface triggers the AnalogOut.
virtual M2K_TRIGGER_SOURCE_OUT | getAnalogOutTriggerSource () const =0
| Returns the source of the AnalogOut trigger event.
virtual void | setAnalogOutTriggerCondition (M2K_TRIGGER_CONDITION_OUT condition)=0
| Configures the triggering condition when the source of the AnalogOut trigger event is set to TRIGGER_TI_0.
virtual M2K_TRIGGER_CONDITION_OUT | getAnalogOutTriggerCondition () const =0
| Returns the condition of the AnalogOut trigger event when the source is TI.
virtual void | setAnalogOutTriggerStatus (M2K_TRIGGER_STATUS_ANALOG_OUT status)=0
| Defines the action to be performed when a trigger event occurs.
virtual M2K_TRIGGER_STATUS_ANALOG_OUT | getAnalogOutTriggerStatus () const =0
| Returns the action that is performed when a trigger event occurs.

## Detailed Description

Controls the hardware trigger for ADALM2000.

The documentation for this class was generated from the following file:

- m2khardwaretrigger.hpp